{% if headline %}
    <h4 class="u-typo:m o-icons--before o-icons o-icons--{{ modifier }}">
        {{ linkLabel }}
    </h4>
{% else %}

    {% if span %}
        <span class="o-icons--before o-icons o-icons--{{ modifier }}">
            {{ linkLabel }}
        </span>
    {% else %}

        {% if svg %}
            <a href="#" class="c-link c-link--with-icon">{{ render }}{{ linkLabel }}</a>
        {% else %}

            <a href="{{ url }}" class="c-link c-link--with-icon o-icons--before o-icons o-icons--{{ modifier }}" {{ title|raw }} {{ target|raw }} {{ attribute }}>{{ linkLabel }}</a>
        {% endif %}

    {% endif %}

{% endif %}
